//-----------------------------------------------------------------------------
// Project            	RenderKit
// Class		G3DShape+Sphere
// Creator            	Philippe C.D. Robert
// Maintainer         	Philippe C.D. Robert
// Creation Date      	Fri Jun 16 13:50:36 CEST 2000
//
// Copyright (c) Philippe C.D. Robert
//
// The RenderKit is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free 
// Software Foundation
//
// $Id: G3DShape+WaterSurface.m,v 1.1 2001/07/15 15:40:58 probert Exp $
//-----------------------------------------------------------------------------

#import "G3DShape+WaterSurface.h"
#import "G3DWaterSurface.h"

@implementation G3DShape (WaterSurface)

+ (G3DShape *)waterSurfaceWithSlices:(int)sl scale:(float)sc texture:(G3DTexture *)tex
{
  if ((self = [[G3DShape alloc] initWithTexture:tex geometry:nil])) {
    id geom;

    sl = (sl >= 4) ? sl : 4;

    bVolType = G3D_AABB;

    geom = [G3DWaterSurface surfaceWithSlices:sl scale:sc];
    [self setGeometry:geom];
    [self updateBVolume];
  }
  return self;
}

@end
